polybori::CTermGenerator< TermType > Class Template Reference

`#include <CTermGenerator.h>`

Inheritance diagram for polybori::CTermGenerator< TermType >:

## Public Types

typedef CTermGeneratorBase< TermType > | base
typedef BoolePolyRing | data_type

## Public Member Functions

| CTermGenerator (const data_type &)
| CTermGenerator (const CTermGenerator &rhs)
| CTermGenerator ()

## Member Typedef Documentation

template<class TermType>

typedef CTermGeneratorBase<TermType> polybori::CTermGenerator< TermType >::base

template<class TermType>

typedef BoolePolyRing polybori::CTermGenerator< TermType >::data_type

## Constructor & Destructor Documentation

template<class TermType>

polybori::CTermGenerator< TermType >::CTermGenerator | ( | const data_type & |  | ) |

inline

template<class TermType>

polybori::CTermGenerator< TermType >::CTermGenerator | ( | const CTermGenerator< TermType > & | rhs | ) |

inline

template<class TermType>

polybori::CTermGenerator< TermType >::CTermGenerator | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- CTermGenerator.h